<template>
  <q-page>
    <div class="q-pa-md row q-gutter-md">
      <div class="col-4">
        <q-card class="my-card">
          <img src="/statics/1148.jpg" />

          <q-card-section>
            <div class="text-h6">Transações</div>
          </q-card-section>
          <q-separator inset />
          <q-card-actions class="justify-end">
            <q-btn @click="transactionList()" outline color="secondary">Listar</q-btn>
            <q-btn flat @click="newTransaction()" color="primary">Cadastrar</q-btn>
          </q-card-actions>
        </q-card>
      </div>
      <div class="col-4">
        <q-card class="my-card">
          <img src="https://cdn.quasar.dev/img/mountains.jpg" />

          <q-card-section>
            <div class="text-h6">Layout</div>
          </q-card-section>
          <q-separator inset />
          <q-card-actions class="justify-end">
            <q-btn color="secondary" outline>Listar</q-btn>
            <q-btn flat color="primary">Cadastrar</q-btn>
          </q-card-actions>
        </q-card>
      </div>
    </div>
  </q-page>
</template>

<style>
</style>

<script>
export default {
  methods: {
    transactionList () {
      this.$router.push('transacao')
    },
    newTransaction () {
      this.$router.push('transacao/novaTransacao')
    }
  }
}
</script>
